Skip to content

getStockTransferLines

READ

Get stock transfer lines.

POST /api/v1/inventory/getStockTransferLines
curl -X POST '<your-host>/api/v1/inventory/getStockTransferLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "stockTransferId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "fromStorageUnitId": "string",
      "fromStorageUnitName": "string",
      "id": "string",
      "itemDescription": "string",
      "itemId": "string",
      "itemReadableId": "string",
      "jobId": "string",
      "jobMaterialId": "string",
      "outstandingQuantity": 0,
      "pickedQuantity": 0,
      "quantity": 0,
      "requiresBatchTracking": true,
      "requiresSerialTracking": true,
      "stockTransferId": "string",
      "thumbnailPath": "string",
      "toStorageUnitId": "string",
      "toStorageUnitName": "string",
      "trackedEntityId": "string",
      "unitOfMeasure": "string",
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "stockTransferId": {
      "type": "string"
    }
  },
  "required": [
    "stockTransferId"
  ]
}